<?php
/**
 * Get Results From Intelligent Search While Typing
 *
 * Compatible with WHMCS v6+ and v7+
 * Works with v4 and Blend templates
 *
 * @author     SENTQ <development@sentq.com>
 * 
 */

if (!defined("WHMCS")){
    die("This file cannot be accessed directly");
}

add_hook("AdminAreaHeadOutput", 1, function($vars){
    
    # Template Blend
    if ($vars['template'] != "v4"){
        
        return <<<EOF
<script type="text/javascript">
/* Intelligent Search On Typing */
$(document).ready(function(){
   $(document).on("input", "#intellisearchval", function(){
       $("#intellisearchval").css("background-image","url('images/loading.gif')");
       $.post("search.php", $("#frmintellisearch").serialize(),
       function(data){
           $("#searchresultsscroller").html(data);
           $("#searchresults").slideDown("slow",function(){
                   $("#intellisearchval").css("background-image","url('images/icons/search.png')");
               });
       });
   });
});
</script>
EOF;
    
    }
    # Template v4
    elseif ($vars['template'] === "v4"){
        
        return <<<EOF
<script type="text/javascript">
/* Intelligent Search On Typing */
$(document).ready(function(){
    $(document).on("input", "#intellisearchval", function() {
       $.post("search.php", $("#frmintellisearch").serialize(),
       function(data){
           if (data) {
               $("#searchresults").html(data);
               $("#btnIntelliSearch").hide();
               $("#btnIntelliSearchCancel").removeClass('hidden').show();
               $("#searchresults").hide().removeClass('hidden').slideDown();
           }
       });
   });
});
</script>
EOF;
        
    }
        
});